org.wso2.carbon.device.mgt.iot.androidsense.service.impl

## Class AndroidSenseServiceImpl

- java.lang.Object
- - org.wso2.carbon.device.mgt.iot.androidsense.service.impl.AndroidSenseServiceImpl

- All Implemented Interfaces:
    AndroidSenseService

      public class AndroidSenseServiceImpl
      extends Object
      implements AndroidSenseService

  The api for

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidSenseServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `getAndroidSenseDeviceStats(String deviceId, String sensor, long from, long to)` Retrieve Sensor data for the device type
    `javax.ws.rs.core.Response` | `register(String deviceId, String deviceName)` Enroll devices.
    `javax.ws.rs.core.Response` | `removeKeyWords(String deviceId, String words)` End point to remove key words from the device
    `javax.ws.rs.core.Response` | `sendKeyWords(String deviceId, String keywords)` End point to send the key words to the device
    `javax.ws.rs.core.Response` | `sendThreshold(String deviceId, String threshold)` End point to send the key words to the device

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndroidSenseServiceImpl

          public AndroidSenseServiceImpl()

  - ### Method Detail

    - #### sendKeyWords

          public javax.ws.rs.core.Response sendKeyWords(String deviceId,
                                               String keywords)

      Description copied from interface: `AndroidSenseService`
      End point to send the key words to the device
      Specified by:
        `sendKeyWords` in interface `AndroidSenseService`
      Parameters:
        `deviceId` - The registered device Id.
        `keywords` - The key words to be sent. (Comma separated values)

    - #### sendThreshold

          public javax.ws.rs.core.Response sendThreshold(String deviceId,
                                                String threshold)

      Description copied from interface: `AndroidSenseService`
      End point to send the key words to the device
      Specified by:
        `sendThreshold` in interface `AndroidSenseService`
      Parameters:
        `deviceId` - The registered device Id.
        `threshold` - The key words to be sent. (Comma separated values)

    - #### removeKeyWords

          public javax.ws.rs.core.Response removeKeyWords(String deviceId,
                                                 String words)

      Description copied from interface: `AndroidSenseService`
      End point to remove key words from the device
      Specified by:
        `removeKeyWords` in interface `AndroidSenseService`

    - #### getAndroidSenseDeviceStats

          public javax.ws.rs.core.Response getAndroidSenseDeviceStats(String deviceId,
                                                             String sensor,
                                                             long from,
                                                             long to)

      Description copied from interface: `AndroidSenseService`
      Retrieve Sensor data for the device type
      Specified by:
        `getAndroidSenseDeviceStats` in interface `AndroidSenseService`

    - #### register

          public javax.ws.rs.core.Response register(String deviceId,
                                           String deviceName)

      Description copied from interface: `AndroidSenseService`
      Enroll devices.
      Specified by:
        `register` in interface `AndroidSenseService`

Copyright © 2017 WSO2. All rights reserved.